/*   PCommonTextMaster 												Common

Name:  PCommonTextMaster.h  
Function:  Common for the Prototyper specific code.
History: 5/9/91 Original by Prototyper 3.0
*/



/* ======================================================= */



/* ======================================================= */



/* Basic definitions */ 
#define NIL		0L  														/* Used for empty pointers and handles */ 

/* User event definitions */ 
#define UserEvent_None		0    										/* No user events available */ 
#define UserEvent_Open_Window	1    								/* Open Window or modeless dialog */ 
#define UserEvent_Close_Window	2   								/* Close Window or modeless dialog */ 
/* IDs 0 to 999 reserved for Prototyper, all others available for special use */ 

/* Menu list resource IDs */ 
#define Res_Menu_Apple 	256  										/* Menu resource ID */ 
#define MItem_About_TextMaste 	1

#define Res_Menu_File 	257     										/* Menu resource ID */ 
#define MItem_UNIX____Macinto 	1
#define MItem_Macintosh____UN 	2
#define MItem_Help 	4
#define MItem_Quit 	6

#define Res_Menu_Edit 	258    										/* Menu resource ID */ 
#define MItem_Undo 	1
#define MItem_Cut 	3
#define MItem_Copy 	4
#define MItem_Paste 	5
#define MItem_Clear 	6
#define MItem_Select_All 	7
#define MItem_Show_Clipboard 	9


/* Window resource IDs, also controls grouped with the appropiate window */ 

#define Res_D_About_Dialog 	256 									/* Modal Dialog */ 
#define Res_Dlg_OK 	1   												/* ...Button */ 
/* Static text item   Title_msg is 2 */ 
/* Static text item   description_str is 3 */ 
/* Static text item   send_request is 4 */ 
#define Res_Dlg_legalese1 	262    									/* ...Static text with attributes */ 
#define Res_Dlg_legalese2 	263    									/* ...Static text with attributes */ 

#define Res_D_Help_window 	257 									/* Modal Dialog */ 
#define Res_Dlg_More 	1    											/* ...Button */ 
#define Res_Dlg_OK2 	2 												/* ...Button */ 
/* Static text item   Help1 is 3 */ 
/* Static text item   Help2 is 4 */ 
/* Static text item   Help3 is 5 */ 

#define Res_D_Help_window_2 	258  								/* Modal Dialog */ 
#define Res_Dlg_OK3 	1 												/* ...Button */ 
#define Res_Dlg_Previous 	2    										/* ...Button */ 
/* Static text item   Help4 is 3 */ 
/* Static text item   help5 is 4 */ 
/* Static text item   help6 is 5 */ 
/* Static text item   help7 is 6 */ 
/* Static text item   morehelp is 7 */ 



/* ======================================================= */



typedef struct UserEventRec{ 											/* User Event Record definition */
	short	ID;     															/* ID for the type of user event */
	short	ID2;   															/* Optionally used, 2nd ID, sometimes used */
	long	Data1; 															/* Optionally used, Extra data */
	long	Data2; 															/* Optionally used, Extra data */
	Handle	theHandle;  													/* Optionally used, Handle */
	struct UserEventRec	**Next;   									/* Handle of next event in the list */
}UserEventRec,*UserEventPRec,**UserEventHRec;


extern UserEventHRec UserEventList;   								/* User Event record list start */
extern EventRecord myEvent;     										/* Event record for all events */
extern Boolean WNE;    													/* WaitNextEvent trap is available */
extern short SleepValue;   												/* Sleep value for Wait on events */
extern Boolean doneFlag;   												/* Exit program flag */
extern TEHandle theInput;  												/* Used in text edit selections */
extern Rect tempRect; 													/* Temporary rect, not for long term use */
extern Str255 sTemp; 													/* Temporary string, not for long term use */
extern Boolean  HasColorQD;  											/* Flag for Color QuickDraw being available */
extern Boolean  HasFPU;    												/* Flag for Floating Point Math Chip being available */
extern Boolean  InTheForeground;     									/* Flag for running in MultiFinder foreground */
extern short  tempChar;    												/*Temporary use character*/
extern SFTypeList typeList;   											/* For use in opening files */
extern OSErr  ErrorCode;  												/* For use in reading and writing files */
extern SFReply Reply;  													/* For use in getting file names */
extern short inputRefNum;     											/* For the input file */
extern short outputRefNum;   											/* For the output file */
extern Str255 inputFileName;     										/* For the input file */
extern Str255 outputFileName;   										/* For the output file */

extern MenuHandle	Menu_Apple;    									/* Menu handle */
extern MenuHandle	Menu_File;  										/* Menu handle */
extern MenuHandle	Menu_Edit; 										/* Menu handle */

/* Variables for the modal dialog titled  "About_Dialog" */

/* Variables for the modal dialog titled  "Help_window" */

/* Variables for the modal dialog titled  "Help_window_2" */



/* ======================================================= */


