/*  EventsTextMaster 													Additional event handler routines

File name:  EventsTextMaster.h  
Function:  This module contains the extra event handler routines
     These routines allow us to override events in the main loop,
     and to handle unique events.
/* History: 5/9/91 Original by Prototyper 3.0   */


/* ======================================================= */

/* Handle special key combinations */
Boolean HandleKey(EventRecord *myevent);

/* Special disk inserted handling */
Boolean HandleDisk(EventRecord *myevent);

/* Let us into the main loop */
void ApplLoop_TextMaster(void);

/* Filter events from the main loop */
void ApplEvent_TextMaster(Boolean *DoIt, EventRecord *myEvent);

/* Handle our special user events */
void Handle_UserEvent(UserEventRec *TheUserEvent);


/* ======================================================= */

