/*  FileMenu 																 Handle this menu list */

/* Unit name:  FileMenu.c   */
/* Function:  Handle this specific menu list. */
/* History: 5/9/91 Original by Prototyper 3.0   */



#include "PCommonTextMaster.h"	/* Common */
#include "Common_TextMaster.h"	/* Common */
#include "PUtils_TextMaster.h"	/* General Utilities */
#include "Utils_TextMaster.h"	/* General Utilities */

#include "FileMenu.h"	/* This file */


/* ======================================================= */


/* Routine: Do_FileMenu */
/* Purpose: Handle any menu items in this list specially. */
/* 		Get the main handler to ignore this menu item by changing */
/* 		SkipProcessing   to be TRUE. */
/* 		This routine is called before the main handler does anything */
/* 		when Doing_Pre is TRUE, it is called after the main handler */
/* 		again with Doing_Pre equal to FALSE. */

void Do_FileMenu( Doing_Pre, theItem, SkipProcessing)  			/* Handle this menu selection */
Boolean	Doing_Pre;
short	theItem;
Boolean	*SkipProcessing;
{


*SkipProcessing = FALSE; 												/* Set to not skip the processing of this menu item */

switch (theItem)     														/* Handle all commands in this menu list */
	{

	case MItem_UNIX____Macinto:
		if (Doing_Pre == TRUE)
			{
			}
		else
			{
			}
		break;

	case MItem_Macintosh____UN:
		if (Doing_Pre == TRUE)
			{
			}
		else
			{
			}
		break;

	case MItem_Help:
		if (Doing_Pre == TRUE)
			{
			}
		else
			{
			}
		break;

	case MItem_Quit:
		if (Doing_Pre == TRUE)
			{
			}
		else
			{
			}
		break;

	default:
		break;

	}     																		/* End of item case */

}    																			/* End of procedure */


/* ======================================================= */


