/*   InitExitTextMaster    												Program Init and Exit routines 

File name:  InitExitTextMaster.c  
Function:  This module contains the extra program initialization
     routine as well as the program exit and cleanup routine.
/* History: 5/9/91 Original by Prototyper 3.0   */


#include "PCommonTextMaster.h"	/* Common */
#include "Common_TextMaster.h"	/* Common */
#include "PUtils_TextMaster.h"	/* General Utilities */
#include "Utils_TextMaster.h"	/* General Utilities */

#include "InitExitTextMaster.h"	/* This file */


/* ======================================================= */

/* Routine: ApplInit_TextMaster */
/* Purpose: Extra program initialization. */
/* 	WNE: boolean, This variable set to TRUE says the WaitNextEvent trap is available,  */
/* 		If we want to use that trap then we do nothing to this variable.  If we do not  */
/* 		want to use that trap, and use GetNextEvent instead, then we change this  */
/* 		variable to FALSE.  */
/* 	SleepValue:integer, This is only valid if WNE is true.  This is the default sleep  */
/* 		value to use with WaitNextEvent, it is set to 40.  This can be changed to any  */
/* 		value desired at any time.  */

void ApplInit_TextMaster()    											/* Initialization */
{

}

/* ======================================================= */

/* Routine: ApplExit_TextMaster */
/* Purpose: Extra program cleanup upon exit from our program. */
/* 	This is where left over buffers are released and any open files are closed. */

void ApplExit_TextMaster()   											/* Exit and cleanup */
{

}

/* ======================================================= */

